import sys
from cx_Freeze import setup, Executable

debug = True
#debug = not debug
# Dependencies are automatically detected, but it might need fine tuning.
# "packages": ["os"] is used as example only
build_exe_options = {"packages": ["os"], "excludes": ["tkinter"], "include_msvcr": True, "include_files": ["icon.png", "IPPigeon.lnk", "config.yml", "keyfile-admin.pem"], "optimize": 2}

# base="Win32GUI" should be used only for Windows GUI app
base = None
if sys.platform == "win32" and not debug:
    base = "Win32GUI"

setup(
    name="IP Pigeon",
    version="0.2.4",
    description="IP Pigeon client application",
    options={"build_exe": build_exe_options},
    executables=[Executable("ippigeon.py", base=base)],
)